
<div class="relative w-full p-4" *ngIf="bannerList?.length > 0">
  <div class="absolute right-7 md:right-8 top-6 z-10">
    <mat-icon (click)="close()" class="cursor-pointer font-icon text-black" >highlight_off</mat-icon>
  </div>
  <owl-carousel-o [options]="customOptions">
    <ng-container *ngFor="let slide of bannerList">
      <ng-template carouselSlide [id]="slide.node.id">
        <div class="hidden md:block">
          <img [src]="slide.node.file" style="height: calc(32vw - 2rem);" class="h-full w-full rounded-lg object-cover" [alt]="slide.node.name">
        </div>
        <div class="block md:hidden">
          <img [src]="slide.node.fileMobile" style="height: calc(126vw - 2rem);" class="w-full rounded-lg object-cover" [alt]="slide.node.name">
        </div>
      </ng-template>
    </ng-container>
  </owl-carousel-o>
</div>
